:root {
	font-size: 16px;

	--maroon: #451f1f;
	--red: #cf3937;
	--off-white: #edeaeb;
	--container-width: 50%;

	@media only screen and (max-width: 576px) {
		font-size: 14px;

		--container-width: 70%;
	}
}

@font-face {
	font-family: WashingtonText;
	src: url(./assets/WashingtonText.ttf);
}

html {
	scroll-behavior: smooth;
}

body {
	margin: 0;
	overflow-x: hidden;
	background: var(--maroon);
	color: var(--off-white);
}

h1,
h2,
h3,
label,
button,
nav {
	font-family: WashingtonText, "Times New Roman", Times, serif;
	font-weight: 422;
}

p {
	font-family: "Times New Roman", Times, serif;
}

h1,
h2,
h3,
p {
	margin: 0;
}

h1 {
	font-size: 3.5rem;
}

h2 {
	font-size: 4rem;
}

h3 {
	font-size: 2.25rem;
}

p {
	font-size: 1.25rem;
}

button,
label {
	font-size: 1.25rem;
}

a {
	color: inherit;
}

h2 a {
	text-decoration: none;
}

ul,
li {
	margin: 0;
	padding: 0;
}

button {
	border: 0;
	background-color: transparent;
	color: inherit;
}

input {
	background-color: var(--off-white);
	height: 1.5rem;
	border: 0;
}

iframe {
	border-radius: 1rem;
	height: 20rem;
	width: 60%;

	@media only screen and (max-width: 1280px) {
		width: 80%;
	}

	@media only screen and (max-width: 576px) {
		height: 20rem;
		width: 100%;
	}
}

/* utilities --------------------------------------------------------------- */

.sticker {
	position: absolute;
}

.for-safari {
	/* Safari on iOS doesn't seem to fall back for individual characters if they are missing from
	 * the font file, see
	 * https://forum.bricksbuilder.io/t/wait-ios-safari-straight-apostrophe-encoding-issue/16804 */
	font-family: "Times New Roman", Times, serif;
}

.inner {
	width: var(--container-width);
	margin: auto;
}

.invisible {
	/* visually hidden but will be heard by screen readers */
	position: absolute !important;
	height: 1px; width: 1px; 
	overflow: hidden;
	clip: rect(1px 1px 1px 1px); /* IE6, IE7 */
	clip: rect(1px, 1px, 1px, 1px);
}

.desktop-only {
	display: initial;

	@media only screen and (max-width: 576px) {
		display: none;
	}
}

.mobile-only {
	display: none;

	@media only screen and (max-width: 576px) {
		display: initial;
	}
}

/* home -------------------------------------------------------------------- */

#home {
	height: 100vh;
	width: 100vw;
	position: relative;
	background-image: url(/assets/images/header.jpg);
	background-size: cover;

	@media only screen and (max-width: 992px) {
		background-position: center;
	}
}

header {
	display: flex;
	justify-content: space-between;

	@media only screen and (max-width: 576px) {
		position: absolute;
		bottom: 0;
		left: 0;
		right: 0;
	}
}

header > *:first-child {
	flex-basis: 30%;
	margin-top: 1.5rem;
	margin-left: 0.5rem;

	@media only screen and (max-width: 576px) {
		margin: 0;
		flex-basis: 100%;
	}
}

header > *:last-child {
	margin-top: 2rem;
	margin-right: 3rem;
}

header img {
	width: 100%;
	object-fit: cover;
}

header a {
	text-decoration: none;
	color: var(--red);
}

header nav {
	@media only screen and (max-width: 576px) {
		display: none;
	}
}

nav ul {
	display: flex;
	gap: 1.5rem;
	font-size: 2.75rem;
}

nav li {
	list-style-type: none;
}

/* news -------------------------------------------------------------------- */

#news {
	position: relative;
	padding: 5rem 0;
}

#news .title {
	margin-bottom: 5rem;
}

.new-release {
	display: flex;
	align-items: center;
	gap: 3rem;

	@media only screen and (max-width: 576px) {
		flex-direction: column;
	}
}

.new-release * {
	font-size: 1.75rem;
	font-family: WashingtonText;
}

.album-art {
	width: 45%;
	transform: rotate(-4deg);

	@media only screen and (max-width: 576px) {
		width: 100%;
	}
}

.album-title {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 0.5rem;
	width: 45%;

	@media only screen and (max-width: 576px) {
		width: 100%;
	}
}

.album-title img {
	width: 100%;
}

/* tour -------------------------------------------------------------------- */

#tour {
	min-height: 20rem;
	padding-top: 10rem;
	padding-bottom: 30rem;
	position: relative;
}

#tour .title {
	text-align: end;
	margin-bottom: 4rem;
}

.tour-item {
	display: flex;
	justify-content: space-between;
	list-style-type: none;

	@media only screen and (max-width: 576px) {
		flex-direction: column;
	}
}

.tour-item:not(:last-child) {
	margin-bottom: 2rem;
}

.tour-item * {
	text-transform: lowercase;
	font-family: WashingtonText;
	font-size: 1.5rem;
}

.tour-item a {
	@media only screen and (max-width: 576px) {
		text-align: right;
	}
}

.no-shows {
	justify-content: center;
}

#hanging-from-a-pole {
	bottom: 0;
	right: 0;
	height: 30rem; /* matches padding-bottom on #tour */
}

/* listen ------------------------------------------------------------------ */

#listen {
	height: 100vh;
	background: url("./assets/images/listen.jpg");
	background-size: cover;
	background-position: bottom;
	position: relative;

	@media only screen and (max-width: 576px) {
		background-position: 44%;
	}
}

#listen .title {
	bottom: 66%;
	left: 36%;
	color: var(--red);

	@media only screen and (max-width: 992px) {
		bottom: 52%;
		left: 30%;
	}

	@media only screen and (max-width: 576px) {
		bottom: 54%;
		left: 26%;
	}
}

.listen:nth-of-type(1) {
	top: 8%;
	right: 14%;

	@media only screen and (max-width: 992px) {
		right: 20%;
	}
}

.listen:nth-of-type(2) {
	top: 22%;
	right: 12%;

	@media only screen and (max-width: 992px) {
		right: 18%;
	}

	@media only screen and (max-width: 576px) {
		top: 20%;
	}
}

.listen:nth-of-type(3) {
	top: 36%;
	right: 10%;

	@media only screen and (max-width: 992px) {
		right: 16%;
	}

	@media only screen and (max-width: 576px) {
		top: 32%;
	}
}

.listen:nth-of-type(4) {
	top: 50%;
	right: 8%;

	@media only screen and (max-width: 992px) {
		right: 14%;
	}

	@media only screen and (max-width: 576px) {
		top: 44%;
	}
}

.listen img {
	height: 4rem;

	@media only screen and (max-width: 576px) {
		height: 3rem;
	}
}

/* watch ------------------------------------------------------------------- */

#watch {
	height: 80rem;
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;

	@media only screen and (max-width: 576px) {
		height: 70rem;
	}
}

#watch .title:not(:first-of-type) {
	margin-top: 4rem;
}

#watch .title {
	margin-bottom: 3rem;
}

.watch-container {
	display: flex;
	flex-direction: column;
}

.watch-container:nth-of-type(odd) {
	align-items: flex-start;
}

.watch-container:nth-of-type(even) {
	align-items: flex-end;
}

.watch-container:not(:first-child) {
	margin-top: 8rem;
}

/* merch ------------------------------------------------------------------- */

#merch {
	height: 38rem;
	position: relative;
	padding-top: 4rem;
	text-align: center;

	@media only screen and (max-width: 576px) {
		padding-top: 2rem;
		overflow: hidden; /* in case the images is wider than the screen */
	}
}

.merch {
	height: 16rem;
	top: 60%;
}

.merch:nth-of-type(1) {
	left: 36%;
	transform: translate(-50%, -50%) rotate(-15deg);
}

.merch:nth-of-type(2) {
	left: 50%;
	transform: translate(-50%, -50%) rotate(-15deg);
}

.merch:nth-of-type(3) {
	left: 64%;
	transform: translate(-50%, -50%) rotate(-15deg);
}

/* bio --------------------------------------------------------------------- */

#bio {
	padding: 2rem 0;
}

#bio .title {
	margin-bottom: 4rem;
	text-align: center;
}

#bio p {
	margin-bottom: 1rem;
}

/* footer ------------------------------------------------------------------ */

footer {
	padding: 2rem 0;
}

footer p {
	text-align: center;
}

#mailinglist {
	display: flex;
	flex-direction: column;
	align-items: center;
	position: relative;
	padding-top: 6rem;
	padding-bottom: 14rem;

	@media only screen and (max-width: 576px) {
		padding-top: 3rem;
		padding-bottom: 22rem;
	}
}

#mailinglist label {
	margin-bottom: 1rem;
	margin-top: 1rem;
}

#mailinglist input {
	width: 40%;
}

#mailinglist button {
	margin-top: 2rem;
	width: 25%;
}

#signup {
	height: 20rem;
	bottom: 6rem;
	right: -8rem;

	@media only screen and (max-width: 1280px) {
		height: 16rem;
		right: -6rem;
	}

	@media only screen and (max-width: 992px) {
		height: 15rem;
	}

	@media only screen and (max-width: 576px) {
		right: -2rem;
	}
}

@media only screen and (max-width: 576px) {
	#mailinglist input,
	#mailinglist button	{
		box-sizing: border-box;
		width: 80vw;
	}
}

.social-container {
	display: flex;
	justify-content: center;
	align-items: center;
}

.social-container a {
	margin: 0 0.5rem;
}

.social-container img {
	height: 1.5rem;
}

.social-container img#email {
	/* Reduce height a little so that visually it appears the same size as
	 * the others */
	height: 1.3rem;
}

.acknowledgement-of-country {
	margin-bottom: 2rem;
}

.copy {
	margin-top: 2rem;
}
